enum FirebaseErrorType {
  unknown,
  unauthorized,
  accountExistsWithDifferentCredential,
  userNotFound,
  wrongPassword,
  emailAleadyInUse,
  errorTooManyRequests,
  networkRequestFailed,
}

FirebaseErrorType findFirebaseErrorTypeByCode(String code) {
  switch (code) {
    case 'ERROR_ACCOUNT_EXISTS_WITH_DIFFERENT_CREDENTIAL':
      return FirebaseErrorType.accountExistsWithDifferentCredential;
    case 'ERROR_EMAIL_ALREADY_IN_USE':
      return FirebaseErrorType.emailAleadyInUse;
    case 'ERROR_USER_NOT_FOUND':
      return FirebaseErrorType.userNotFound;
    case 'ERROR_WRONG_PASSWORD':
      return FirebaseErrorType.wrongPassword;
    case 'ERROR_TOO_MANY_REQUESTS':
      return FirebaseErrorType.errorTooManyRequests;
    case 'ERROR_NETWORK_REQUEST_FAILED':
      return FirebaseErrorType.networkRequestFailed;
    default:
      return FirebaseErrorType.unknown;
  }
}
