import 'package:flutter/rendering.dart';

class CirclePainter extends CustomPainter {
  CirclePainter({
    this.center,
    this.height,
    this.width,
    this.color,
  });

  final Offset center;
  final double height;
  final double width;
  final Color color;

  @override
  void paint(Canvas canvas, Size size) {
    final paint = Paint()
      ..style = PaintingStyle.fill
      ..color = color
      ..blendMode = BlendMode.multiply;
    canvas.drawRRect(
      RRect.fromRectAndRadius(
        Rect.fromCenter(center: center, width: width, height: height),
        const Radius.circular(50.0),
      ),
      paint
    );
  }

  @override
  bool shouldRepaint(CirclePainter oldDelegate) {
    return oldDelegate.center != center ||
        oldDelegate.height != height;
  }
}
