T ifValueOrNull<T>(bool condition, T value) => condition ? value : null;

R let<T, R>(T value, R Function(T) callback) => value != null ? callback(value) : null;

/// Compare boolean in descending order (true will be leading from false)
int compareBool(bool lhs, bool rhs) {
  if (lhs == rhs) {
    return 0;
  }
  if (rhs) {
    return 1;
  }
  if (lhs) {
    return -1;
  }
  assert(false);
  return 0;
}

T sum<T extends num>(T lhs, T rhs) => lhs + rhs;

extension IterableExtension<T> on Iterable<T> {
  T firstOrNull() => isEmpty ? null : first;

  // Use only enum iterable
  T enumFrom(String source, {T unknownValue}) {
    final value = singleWhere(
      (value) => source == value.toString().split('.').last,
      orElse: () => unknownValue,
    );
    if (value == null) {
      throw ArgumentError('`$source` is not one of the supported values: ${join(', ')}');
    }
    return value;
  }
}
