import 'package:flutter/material.dart';

class ColoredFlatButton extends StatelessWidget {
  const ColoredFlatButton({
    Key key,
    @required this.onPressed,
    @required this.text,
    this.textColor = Colors.blue,
    this.color = Colors.lightBlue,
    this.padding = const EdgeInsets.all(0),
  }) : super(key: key);

  final VoidCallback onPressed;
  final String text;
  final Color textColor;
  final Color color;
  final EdgeInsetsGeometry padding;

  @override
  Widget build(BuildContext context) {
    return FlatButton(
      onPressed: onPressed,
      child: Text(text),
      textColor: textColor,
      color: color,
      padding: padding,
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(30.0),
      ),
    );
  }
}
