// While icon button needs too many speces

import 'package:flutter/material.dart';

class CompactIconButton extends StatelessWidget {
  const CompactIconButton({
    Key key,
    this.elevation = 0.0,
    @required this.icon,
    this.color,
    this.padding = const EdgeInsets.all(0.0),
    this.shape = const CircleBorder(),
    this.minSize = 32.0,
    @required this.onPressed,
  }) : super(key: key);

  final double elevation;
  final Widget icon;
  final Color color;
  final EdgeInsetsGeometry padding;
  final ShapeBorder shape;
  final VoidCallback onPressed;
  final double minSize;

  @override
  Widget build(BuildContext context) {
    return RawMaterialButton(
      materialTapTargetSize: MaterialTapTargetSize.shrinkWrap,
      elevation: elevation,
      constraints: BoxConstraints(minWidth: minSize, minHeight: minSize),
      onPressed: onPressed,
      child: icon,
      shape: shape,
      fillColor: color,
      padding: padding,
    );
  }
}
