import 'package:flutter/material.dart';
import 'package:flutter_slidable/flutter_slidable.dart';

class RadiusSlideAction extends ClosableSlideAction {
  const RadiusSlideAction({
    Key key,
    @required this.icon,
    @required this.radius,
    this.color = Colors.red,
    this.iconColor = Colors.white,
    VoidCallback onTap,
    bool closeOnTap = true,
  }) : super(key: key, onTap: onTap, closeOnTap: closeOnTap);

  final IconData icon;
  final Color iconColor;
  final double radius;
  final Color color;

  @override
  Widget buildAction(BuildContext context) {
    return Stack(
      fit: StackFit.expand,
      alignment: AlignmentDirectional.center,
      children: <Widget>[
        Transform(
          transform: Matrix4.translationValues(-radius, 0, 0),
          child: Container(
            color: color,
          ),
        ),
        ClipRRect(
          borderRadius: BorderRadius.circular(radius),
          child: Container(
            color: color,
            child: Icon(
              icon,
              color: iconColor,
            ),
          ),
        ),
      ],
    );
  }
}
