import 'package:flutter/material.dart';

class RoundedButton extends StatelessWidget {
  final Widget child;
  final VoidCallback onPressed;
  final Color color;
  final BorderSide borderSide;
  final double height;
  final double elevation;
  final double radius;

  const RoundedButton({
    Key key,
    this.onPressed,
    this.color,
    this.borderSide = BorderSide.none,
    this.height = 52.0,
    this.child,
    this.elevation = 1.0,
    this.radius = 8.0,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: const EdgeInsets.symmetric(vertical: 8.0),
      height: height,
      child: RaisedButton(
        elevation: elevation,
        shape: RoundedRectangleBorder(
          side: borderSide,
          borderRadius: BorderRadius.circular(radius),
        ),
        color: color,
        child: child,
        onPressed: onPressed,
      ),
    );
  }
}
