import 'package:flutter/material.dart';

class SizedText extends StatelessWidget {
  final String text;
  final double width;
  final double height;
  final TextStyle style;
  final TextAlign textAlign;
  final AlignmentGeometry alignment;

  const SizedText(
    this.text, {
    Key key,
    this.width,
    this.height,
    this.style,
    this.textAlign,
    this.alignment = Alignment.centerLeft,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: width,
      height: height,
      child: FittedBox(
        fit: BoxFit.scaleDown,
        alignment: alignment,
        child: Text(
          text,
          style: style,
          textAlign: textAlign,
        ),
      ),
    );
  }
}
